#include <bits/stdc++.h>
using namespace std;
long ucln(long a,long b)
{
    while (a!=b){
        if(a>b){
            a=a-b;
        }
        else b=b-a;
    }
    return a;
}
int main()
{
    ifstream f1("NTCN.inp");
    ofstream f2("NTCN.out");
    long n;
    long dem=0;
    f1>>n;
    long s[100000];
    for(long i=0;i<n;i++){
        f1>>s[i];
    }
    for(long i=0;i<n;i++){
        for(long j=i+1;j<n;j++){
            if(ucln(s[i],s[j])==1){
                dem++;
            }
        }
    }
    f2<<dem;
    f1.close();
    f2.close();
    return 0;
}
